<template>
    <div>

    <table v-bind:class="{'opacity' : (playing && !opponent) || (!playing && opponent)}">
      <thead>
          <th/>
          <th  v-for="i in lengthTable"  v-bind:key="`a`+i">{{ String.fromCharCode(64 + i)}}</th>
      </thead>
      <tbody>
          <tr  v-for="y of lengthTable"  v-bind:key="'b'+y">
            <th>{{ y }}</th>
            <td  v-for="x in lengthTable"  v-bind:key="x+y" v-bind:class="{'hover' :  active, 'ship': board[y-1][x-1].me  && !opponent, 'shoot' : board[y-1][x-1].hit &&  board[y-1][x-1].me}" v-on:click="handleClick(x-1,y-1)">
              <span> {{ drawShot(x-1 , y-1)}} </span>
        
            </td>
          </tr>
      </tbody>
    </table>
    </div>
</template>

<script>
export default {
  name: 'Board',
  props: {
    playing: Boolean,
    msg: String,
    status: String,
    board : Array,
    active : {
      type: Boolean,
      default: false,
    },
    opponent: {
      type: Boolean,
      default: false
    }
  },
  computed : {

  },
  data() {
    return {

        lengthTable : 10,

    }
  },
  methods : {
    handleClick(x,y) {
      if(!this.opponent) {
        this.$emit('put-ship', x,y);
      } else {
     
        if(this.playing) {
           if(!this.board[y][x].hit) 
            this.$emit('shot', x,y);
        }
      }

    },
    drawShot: function (x, y) {
        if(this.board[y][x].hit && this.board[y][x].me) {
          return "X"
        } else if (this.board[y][x].hit) {
          return "O"
        }
    }

  },
  created () {
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
.opacity {

  opacity: 0.7;
}
.hover:hover {
  background-color: #0d324d;
}

.hover {
  cursor: pointer;
}

.shoot {

  background-color: #23445d;
  color: white;
}

.shoot:hover {

}

.ship {
  background-color: #23445d;
  color: white;
  border-width: 1px;
}

.ship:hover {
  background-color: #23445d;
}


th {
  background-color: #30343f;
  color: white;
  border: 1px black solid;
}

td {
  background-color:  #39a0ed;
  border: 1px #0d324d solid;
  line-height: 100%;
  font-size: 1.5em;
  color: white;
  
 
}

td, th {
    font-family: 'Raleway', sans-serif;
    text-align: center;
    width: 35px !important;
    height: 35px;
}

table {
  -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
     -khtml-user-select: none; /* Konqueror HTML */
       -moz-user-select: none; /* Old versions of Firefox */
        -ms-user-select: none; /* Internet Explorer/Edge */
            user-select: none; /* Non-prefixed version, currently*/

}

thead > th:first-child {
  background-color: transparent;
  border: 0;
}
</style>
